"""
Quantum Tomography and Circuit Generation Subpackage
====================================================

This subpackage is part of a larger quantum computing library, focusing on tomographic approach
and the generation of algorithmic circuits. It provides tools and functions necessary for preparing, 
managing, and batching quantum circuits for characterisation experiment execution on quantum computer.


Modules
-------
    tomography
        Contains functions and classes related to quantum tomography and creation of random set of cicrcuits.

    tomoutils.algorithmic_circuits
        This module includes methods for creating combinatorial quantum circuits, completing circuit sets based on specific criteria.

Usage
-----
    This subpackage is intended to be used as a part of preparation of caharcaterisation, mitigation and benchmarking experiments to perform error mitigation via `qrem` package.
"""